<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.common.mapper.FileManagerMapper">

    <resultMap id="BaseResultMap" type="com.zksy.common.domain.FileManager">
        <result property="id" column="id" jdbcType="BIGINT"/>
        <result property="fid" column="fid" jdbcType="BIGINT"/>
        <result property="moduleName" column="module_name" jdbcType="VARCHAR"/>
        <result property="fileOriginalName" column="file_original_name" jdbcType="VARCHAR"/>
        <result property="fileUrl" column="file_url" jdbcType="VARCHAR"/>
        <result property="fileName" column="file_name" jdbcType="VARCHAR"/>
        <result property="fileSize" column="file_size" jdbcType="DOUBLE"/>
        <result property="createBy" column="create_by" jdbcType="VARCHAR"/>
        <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
        <result property="updateBy" column="update_by" jdbcType="VARCHAR"/>
        <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
        <result property="isDelete" column="is_delete" jdbcType="INTEGER"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,fid,module_name,
        file_original_name,file_url,file_name,
        file_size,create_by,create_time,
        update_by,update_time,is_delete
    </sql>

</mapper>